{
	"model": {
		"type": "composite",
		"models": [
			{
				"type": "model",
				"model": "item/firework_rocket/firework_rocket"
			},
			{
				"type": "select",
				"property": "component",
				"component": "fireworks",
				"cases": [
					{
						"when": {
							"flight_duration": 1
						},
						"model": {
							"type": "model",
							"model": "item/firework_rocket/wick_1"
						}
					},
					{
						"when": {
							"flight_duration": 2
						},
						"model": {
							"type": "model",
							"model": "item/firework_rocket/wick_2"
						}
					}
				],
				"fallback": {
					"type": "model",
					"model": "item/firework_rocket/wick_3"
				}
			}
		]
	},
	"oversized_in_gui": true
}